summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFlorian Pritz <bluewind@xinu.at>2019-08-06 15:37:34 +0200
committerFlorian Pritz <bluewind@xinu.at>2019-08-06 15:37:34 +0200
commita3892f42e640aac9abf571f789fbb344f7c49628 (patch)
tree924a60edb5cdd5fbcbfc6a32dadc3b1e06462a5f
parent5a43c68ff8d3be83a14d736b6f45d88ab08d02ac (diff)
downloadbin-a3892f42e640aac9abf571f789fbb344f7c49628.tar.gz
bin-a3892f42e640aac9abf571f789fbb344f7c49628.tar.xz
Add rofi-hosts
Signed-off-by: Florian Pritz <bluewind@xinu.at>
-rwxr-xr-xrofi-hosts29
1 files changed, 29 insertions, 0 deletions
diff --git a/rofi-hosts b/rofi-hosts
new file mode 100755
index 0000000..fb42bdc
--- /dev/null
+++ b/rofi-hosts
@@ -0,0 +1,29 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+#
+# rofi-hosts - small script to copy hostnames to clipboard
+#
+# Copyright (c) 2019 Florian Pritz <bluewind@xinu.at>
+# Copyright (c) 2018 by Christian Rebischke <chris@nullday.de>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http: #www.gnu.org/licenses/
+#
+
+input=$(cut -d\ -f1 .ssh/known_hosts* | tr , "\n" \
+ | sed -r 's#(_ecdsa|_rsa|_ed25519|_dsa)$##' | sort -u \
+ | rofi -lines 20 -dmenu -p "host")
+
+printf "%s" "$input" | xclip